Security update for xorg-x11-libXrender

SUSE Security Update: Security update for xorg-x11-libXrender
Announcement ID: SUSE-SU-2013:1095-1
Rating: moderate
References: #815451 #821669
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 11 SP2
  • SUSE Linux Enterprise Server 11 SP2 for VMware
  • SUSE Linux Enterprise Server 11 SP2
  • SUSE Linux Enterprise Desktop 11 SP2

  • An update that solves one vulnerability and has one errata is now available.

    Description:


    This update of xorg-x11-libXrender fixes several integer
    overflow issues (bnc#815451, bnc#821669, CVE-2013-1987).

    Security Issue reference:

    * CVE-2013-1987
    >

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 11 SP2:
      zypper in -t patch sdksp2-xorg-x11-libXrender-7809
    • SUSE Linux Enterprise Server 11 SP2 for VMware:
      zypper in -t patch slessp2-xorg-x11-libXrender-7809
    • SUSE Linux Enterprise Server 11 SP2:
      zypper in -t patch slessp2-xorg-x11-libXrender-7809
    • SUSE Linux Enterprise Desktop 11 SP2:
      zypper in -t patch sledsp2-xorg-x11-libXrender-7809

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • xorg-x11-libXrender-devel-7.4-1.16.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (ppc64 s390x x86_64):
    • xorg-x11-libXrender-devel-32bit-7.4-1.16.1
    • SUSE Linux Enterprise Server 11 SP2 for VMware (i586 x86_64):
    • xorg-x11-libXrender-7.4-1.16.1
    • SUSE Linux Enterprise Server 11 SP2 for VMware (x86_64):
    • xorg-x11-libXrender-32bit-7.4-1.16.1
    • SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • xorg-x11-libXrender-7.4-1.16.1
    • SUSE Linux Enterprise Server 11 SP2 (ppc64 s390x x86_64):
    • xorg-x11-libXrender-32bit-7.4-1.16.1
    • SUSE Linux Enterprise Server 11 SP2 (ia64):
    • xorg-x11-libXrender-x86-7.4-1.16.1
    • SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64):
    • xorg-x11-libXrender-7.4-1.16.1
    • xorg-x11-libXrender-devel-7.4-1.16.1
    • SUSE Linux Enterprise Desktop 11 SP2 (x86_64):
    • xorg-x11-libXrender-32bit-7.4-1.16.1

    References:

    • http://support.novell.com/security/cve/CVE-2013-1987.html
    • https://bugzilla.novell.com/815451
    • https://bugzilla.novell.com/821669
    • http://download.suse.com/patch/finder/?keywords=48e45fee5e1a69e7883874b01777532f